%define svn_ver 20141221
%define _legacy_common_support 1

Name:           ardesia
Summary:        A free digital sketchpad software
Version:        1.2
Release:        %mkrel 5
Group:          Education
License:        GPLv3
URL:            https://code.google.com/p/ardesia
Source0:        http://ardesia.googlecode.com/files/%{name}-%{version}-%{svn_ver}.tar.gz

BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  libsigsegv-devel
BuildRequires:  vlc-devel
BuildRequires:  binutils-devel
BuildRequires:  pkgconfig(gsl)
BuildRequires:  gtk+3.0-devel
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  blas-devel

Recommends:    vlc
Recommends:    vlc-plugin-theora 
Recommends:    xdg-utils
Recommends:    curtain
Recommends:    florence

%description
Ardesia is the free digital sketchpad software that help you to make colored
free-hand annotations with digital ink everywhere, record them and share on
the network.

%prep 
%setup -q -n %{name}-%{version}-%{svn_ver}

%build
CFLAGS="%{optflags} -std=gnu17"
./autogen.sh
%configure
%make_build

%install
%make_install XDG_UTILS=""

%find_lang %{name}

desktop-file-install    --vendor="" \
                        --dir %{buildroot}%{_datadir}/applications \
                        --remove-category="GNOME" \
                        --remove-category="GTK" \
                        --remove-category="Utility" \
                        --add-category="Education" \
                        %{buildroot}%{_datadir}/applications/%name.desktop

%files -f %name.lang
%doc AUTHORS README COPYING NEWS ChangeLog
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%{name}/ui/*.glade
%{_datadir}/%{name}/scripts/*.sh
%{_datadir}/%{name}/ui/icons/*
%{_datadir}/%{name}/ui/backgrounds/*
%{_datadir}/%{name}/ui/*.xml
%{_datadir}/pixmaps/%name.png
%{_mandir}/man1/%name.*



%changelog
* Wed May 07 2025 ns80 <ns80> 1.2-5.mga10
+ Revision: 2181794
- try to fix building with GCC 15

* Sun Mar 16 2025 wally <wally> 1.2-4.mga10
+ Revision: 2164725
- rebuild for libxml2 2.13.6

* Mon Jan 06 2025 papoteur <papoteur> 1.2-3.mga10
+ Revision: 2135742
- remove BR of atlas-devel, not used

* Fri Dec 30 2022 daviddavid <daviddavid> 1.2-2.mga9
+ Revision: 1928026
- rebuild for gsl 2.7.1 on armv7

* Thu Dec 29 2022 daviddavid <daviddavid> 1.2-1.mga9
+ Revision: 1927497
- rebuild for new gsl 2.7.1

* Wed Mar 30 2022 umeabot <umeabot> 1.2-0.9.mga9
+ Revision: 1835354
- Mageia 9 Mass Rebuild

* Fri Sep 18 2020 joequant <joequant> 1.2-0.8.mga8
+ Revision: 1628393
- fix common flags

* Sun Feb 16 2020 umeabot <umeabot> 1.2-0.7.mga8
+ Revision: 1529680
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 1.2-0.6.mga8
+ Revision: 1433716
- rebuild for new gsl 2.6

* Fri Sep 21 2018 umeabot <umeabot> 1.2-0.5.mga7
+ Revision: 1294535
- Mageia 7 Mass Rebuild

* Wed Dec 27 2017 wally <wally> 1.2-0.4.mga7
+ Revision: 1185636
- rebuild for new gsl

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.2-0.3.mga6
+ Revision: 918996
- rebuild for gsl

* Thu Oct 22 2015 danf <danf> 1.2-0.2.mga6
+ Revision: 894123
- Fix build by packaging doc

* Sun Dec 21 2014 anaselli <anaselli> 1.2-0.1.mga5
+ Revision: 804666
- Added missing deps
- Imported code from ardesia svn
  Fixed bug Bug 14634 - ardesia crashing

* Wed Oct 15 2014 umeabot <umeabot> 1.1-7.mga5
+ Revision: 747376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 677884
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.1-5.mga4
+ Revision: 523480
- Mageia 4 Mass Rebuild

* Sun May 05 2013 pterjan <pterjan> 1.1-4.mga3
+ Revision: 412358
- Add missing BuildRequires

* Fri Jan 11 2013 umeabot <umeabot> 1.1-3.mga3
+ Revision: 346008
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 30 2012 cjw <cjw> 1.1-2.mga3
+ Revision: 336318
- patch1: fix build with automake 1.13

* Tue Nov 06 2012 matteo <matteo> 1.1-1.mga3
+ Revision: 314595
- new version

* Thu Jan 05 2012 matteo <matteo> 1.0-4.mga2
+ Revision: 191863
+ rebuild (emptylog)

* Fri Dec 23 2011 matteo <matteo> 1.0-3.mga2
+ Revision: 186781
- bump release
- florence and curtain added as suggested

* Tue Oct 25 2011 matteo <matteo> 1.0-2.mga2
+ Revision: 157895
- spec file reviewed

* Mon Oct 10 2011 matteo <matteo> 1.0-1.mga2
+ Revision: 153709
- added desktop-file-utils br
- upgraded to version 1.0

* Wed Jul 20 2011 matteo <matteo> 0.9-1.mga2
+ Revision: 127508
- imported package ardesia


* Sun Jul 03 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 0.9-1
- create spec 

